Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Jan 2019 09:44:46 -0500

> And we should specify once and for all whether a window can remain or
> become dedicated when our function displays another buffer in it.

The intention behind display-buffer-mark-dedicated is to have it set to
`soft` which in turn means that the window will be undedicated whenever
the user explicitly asks to display another buffer in it (typically via
switch-to-buffer).

IOW the result is windows are dedicated as long as they have only ever
displayed a single buffer.

        Stefan